Subject: Re: [Zope] ZTP mailhost ..
From: Georgakopoulos Nicolas <[email-masked]>
To: [email-masked]
Date: Mon, 12 Sep 2005 13:14:03 +0300

Peter Bengtsson wrote:

There's a zope product called SecureMailHost. Perhaps that's what
you're looking for.

On 9/8/05, Georgakopoulos Nicolas <[email-masked]> wrote:

Lennart Regebro wrote:
On 9/8/05, Georgakopoulos Nicolas <[email-masked]> wrote:

Can some one help out how to set up a ZTP form to use a mailhost object
and send a email with the data that the form was filled ?
I have made the form successfully , my problem is that I don't know how
to use the mailhost.

ps:Can I use a web mail account to send a mail like gmail ?

No, you need to configure it to use your mail server for outgoing mail.

When this is done, you send the mail with the mailhost send function.
It's quite easy really. Make a little python script that takes the
form and calls MailHost.send.

I have write the script :

# locate the mailhost
mailhost=container['mailhost']

# email message settings
recipient=[email-masked]'
sender=[email-masked]'
subject='A test mail'

# format the email message
message='Hello by mail ! '

# send the message
mailhost.simple_send(recipient, sender, subject, message)

# return a confirmation message
page=container['thanks.html']
return page()

When I try to send mail the browser keep waiting for data response , and
never take a response.I use netstat and check that a connection is
established with my SMTP address. I guess that my problem for the moment is
that I can't pass throu an SSL connection (my smtp server use SSL) and I
cant find a way on mailhost object to change the set SSL . Does mailhost
object or ZOPE support SSL connections for SMTP protocol ?

_______________________________________________
Zope maillist - [email-masked]
http://mail.zope.org/mailman/listinfo/zope
** No cross posts or HTML encoding! **
(Related lists -
http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Thanks Peter Bengtsson , I instaslled secure mailhost there is no option for SSL.
Can aynone answer to me for sure if mailhost object ZOPE support SSL connections for SMTP protocol ?

Do you know any free mail service that don't use SSL  for SMTP ? I want
to know for sure if SSL is the reason why it doesn't work.